#ifndef _BREAKOUTMAINMENUSCENE_H_
#define _BREAKOUTMAINMENUSCENE_H_

#include "IScene.h"

#include "Visualisation.h"
#include <vector>
#include <string>

class BreakoutMainMenuScene : public IScene
{
	public:
	BreakoutMainMenuScene();
	~BreakoutMainMenuScene();

	virtual void Initialise();
	virtual void Draw();
	virtual void Update();
	virtual void Shutdown();

	virtual void Activate();
	virtual void Deactivate();

	virtual bool HandleEvent(IEvent* pEvent);

	protected:
	bool m_bIsActive;
	struct MenuEntry
	{
		std::string Name;
		SpriteID NormalSprite, SelectedSprite;
	};

	std::vector<MenuEntry> m_vMenuEntries;
	unsigned int m_selectedEntry;
	SpriteID m_gameTitleID, m_gameTitleShadowID;
};

#endif
